IM_ABS(3)

NAME
im_abs - finds the absolute value or the magnitude of an image

SYNOPSIS
#include <vips/vips.h> int im_abs( in, out )
IMAGE *in, *out;

DESCRIPTION
im_abs() finds the absolute value of an image. Copy for UNSIGNED types, negate for int types, fabs(3) for float types, and calculate modulus for complex types. Any size, any number of bands.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_exp10tra(3), im_sign(3)